/*_############################################################################
  _## 
  _##  SNMP4J-Model - SimpleMibTreeTableSelectionModel.java  
  _## 
  _##  Copyright (C) 2013-2015  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.demo.mibbrowser;

import javax.swing.*;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import javax.swing.tree.DefaultTreeSelectionModel;

/**
 * The <code>SimpleMibTreeTableSelectionModel</code> provides a simple tree selection model.
 *
 * @author Frank Fock
 * @version 1.0
 */
public class SimpleMibTreeTableSelectionModel extends DefaultTreeSelectionModel {

  public SimpleMibTreeTableSelectionModel() {
    super();

    getListSelectionModel().addListSelectionListener(new ListSelectionListener() {
      @Override
      public void valueChanged(ListSelectionEvent e) {

      }
    });
  }

  ListSelectionModel getListSelectionModel() {
    return listSelectionModel;
  }

}
